<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GeoFence_V2 StructType
 * @subpackage Structs
 */
class GeoFence_V2 extends AbstractStructBase
{
    /**
     * The GeoFence
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfIdentifierGeoFence
     */
    public $GeoFence;
    /**
     * Constructor method for GeoFence_V2
     * @uses GeoFence_V2::setGeoFence()
     * @param \ArrayType\ArrayOfIdentifierGeoFence $geoFence
     */
    public function __construct(\ArrayType\ArrayOfIdentifierGeoFence $geoFence = null)
    {
        $this
            ->setGeoFence($geoFence);
    }
    /**
     * Get GeoFence value
     * @return \ArrayType\ArrayOfIdentifierGeoFence|null
     */
    public function getGeoFence()
    {
        return $this->GeoFence;
    }
    /**
     * Set GeoFence value
     * @param \ArrayType\ArrayOfIdentifierGeoFence $geoFence
     * @return \StructType\GeoFence_V2
     */
    public function setGeoFence(\ArrayType\ArrayOfIdentifierGeoFence $geoFence = null)
    {
        $this->GeoFence = $geoFence;
        return $this;
    }
}
